drill-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alexander Reshetov <alexander.v.reshe...@gmail.com>
Subject Re: Compile drill-0.9 problems
Date Mon, 06 Apr 2015 11:02:00 GMT
Hi,

Seems that you have some old packages cached, which was upgraded in
latest clone.
Try to use -U flag for maven to force update of dependencies:

mvn clean install -U -Dskiptests

Please note that this option will cause update of all packages.


On Mon, Apr 6, 2015 at 10:25 AM, fanrsh@inspur.com <fanrsh@inspur.com> wrote:
> Hi,
> when i compile drill,i use "mvn clean install -Dskiptests",when install "drill-storage-hive-core"
project,some problems comes:
> [ERROR] Failed to execute goal on project drill-storage-hive-core:
>  Could not resolve dependencies for project org.apache.drill.contrib.storage-hive:drill-storage-hive-core:jar:0.9.0-SNAPSHOT:
Failure to find org.apache.drill.exec:drill-java-exec:jar:tests:0.9.0-SNAPSHOT in http://repository.mapr.com/nexus/content/repositories/drill-optiq/
was cached in the local repository, resolution will not be reattempted until the update interval
of mapr-drill-optiq-snapshots has elapsed or updates are forced -> [Help 1]
>
> Could you help me? Thx.
>
>
>
>
>
>
>

Mime
View raw message